Get tenant details¶
GET/
Organization API · OrganizationTenants
Get a tenant by ID.
Parameters¶
| Name | In | Type | Required | Description |
|---|---|---|---|---|
X-Organization-ID | header | string (uuid) | Yes | Organization ID. |
tenantId | path | string (uuid) | Yes | Tenant ID. |
Request samples¶
curl -X GET "https://api.central.sophos.com/organization/v1/tenants/<tenantId>" -H "Authorization: Bearer <access-token>" -H "X-Organization-ID: <organization-id>"
import requests
response = requests.get(
"https://api.central.sophos.com/organization/v1/tenants/<tenantId>",
headers={
"Authorization": "Bearer <access-token>",
"X-Organization-ID": "<organization-id>",
},
)
print(response.json())
$headers = @{
"Authorization" = "Bearer <access-token>"
"X-Organization-ID" = "<organization-id>"
}
Invoke-RestMethod -Method GET -Uri "https://api.central.sophos.com/organization/v1/tenants/<tenantId>" -Headers $headers
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.central.sophos.com/organization/v1/tenants/<tenantId>", nil)
if err != nil {
panic(err)
}
req.Header.Set("Authorization", "Bearer <access-token>")
req.Header.Set("X-Organization-ID", "<organization-id>")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
const response = await fetch("https://api.central.sophos.com/organization/v1/tenants/<tenantId>", {
method: "GET",
headers: {
"Authorization": "Bearer <access-token>",
"X-Organization-ID": "<organization-id>",
},
});
const data = await response.json();
console.log(data);
Responses¶
200 — Existing tenant.¶
Response fields
idstring (uuid)requiredTenant ID.
showAsstringTenant display name.
namestringrequiredName set when the tenant was created.
dataGeographystringrequiredGeographical location where the tenant data is stored.
Must be one of:
Must be one of:
US, IE, DE, CA, AU, JP, IN, BR, AE.dataRegionstringrequiredThe data region where tenant data is stored.
Must be one of:
Must be one of:
eu01, eu02, us01, us02, us03, ca01, au01, jp01, in01, br01, ae01.billingTypestringrequiredBilling type.
Must be one of:
Must be one of:
term, trial, usage.partnerobjectRepresents a referenced object.
Show child attributesHide child attributes
idstring (uuid)requiredThe ID of the referenced object.
organizationobjectrequiredRepresents a referenced object.
Show child attributesHide child attributes
idstring (uuid)requiredThe ID of the referenced object.
apiHoststring (uri)requiredAPI host.
managedbooleanIndicates if tenant has enabled management by this organization.
Errors¶
| Status | Meaning |
|---|---|
500 | Unexpected error. |
All error responses share the same shape — see the error response object.
Response examples¶
200¶
{
"id": "00000000-0000-0000-0000-000000000000",
"showAs": "string",
"name": "string",
"dataGeography": "US",
"dataRegion": "eu01",
"billingType": "term",
"partner": {
"id": "00000000-0000-0000-0000-000000000000"
},
"organization": {
"id": "00000000-0000-0000-0000-000000000000"
},
"apiHost": "https://example.com",
"managed": true
}
See the guide for a narrative walkthrough of this API.